

<div class="container registratinForm" >

    <div >
<form [formGroup]="registerForm" (ngSubmit)="onSubmit()">
<div class="form-group m-2">
    <label for="name">Name</label>
    <input  type="text" formControlName="name" class="form-control"  />
        <div class="error-div" *ngIf="registerForm.controls['name'].errors?.['required'] && (registerForm.controls['name'].touched || isSubmited)" >Name is required</div>
</div>

<div class="form-group m-2" *ngFor="let item of dynamicFieldArray" >
    <p for=item.name>{{item.name}}</p>
    <input *ngIf="item.type=='text' "  type="text" formControlName={{item.name}} class="form-control"  />
    <input  *ngIf="item.type=='textarea' " type="textarea" formControlName={{item.name}} class="form-control"  />
    <input  *ngIf="item.type=='number' " type="number" formControlName={{item.name}} class="form-control"  />
    <mat-radio-group *ngIf="item.type=='radio' "  formControlName={{item.name}}  aria-label="Select an option">
        <mat-radio-button value={{item.item1}}>{{item.item1}}</mat-radio-button>
        <mat-radio-button value={{item.item2}}>{{item.item2}}</mat-radio-button>
      </mat-radio-group>
    

    <div *ngFor="let item1 of registerForm.controls[item.name].errors | keyvalue"> 
        <div class="error-div" *ngIf="registerForm.controls[item.name].errors  && (registerForm.controls[item.name].touched || isSubmited)" >
             <span *ngIf="item1.key=='required' ">{{item.name}} is required </span>
             <span *ngIf="item1.key=='email' ">{{item.name}} is not a valid email </span>
             <span *ngIf="item1.key=='minLength' ">{{item.name}} minLength should be 10 </span>
             <span *ngIf="item1.key=='maxLength' ">{{item.name}} maxLength should be 10 </span>
             <span *ngIf="item1.key=='pattern' ">{{item.name}} has not a valid pattern.</span>
            </div>
    </div>
</div>
<div class="form-group m-2 " *ngIf="fileupload">
    <label class="m-2" for="message">file</label>
    <div class="dropzone" DropZone (onFileDropped)="droppedFiles($event)">
        <div class="text-center">
          Drop files here.<BR>
            <!-- add multiple keyword in below line to upload multiple files  -->
           <input type="file" #fileInput   (change)="selectedfile($event)" >
           <p> (file size should under 1MB & type should be image  )</p>

        </div>

      </div>

      <div class="error-div" *ngIf="allFiles.length==0 && isSubmited && failfile.length==0" >please upload a file</div>
      <button  type="button"  *ngIf="allFiles.length>0" class="btn btn-primary m-2" (click)="removeFile()">Remove file</button>
      <div *ngIf="allFiles.length>0" class="form-group m-2  ">
        <p *ngFor="let item of allFiles ">{{item.name}} <span  class="file"> (successfully uploaded) </span> </p>
    </div >
    
    
    <div *ngIf="failfile.length>0" class="form-group m-2  ">
        <p *ngFor="let item of failfile " >{{item.name}} <span class="filefail"> (failed to upload due to <br> {{fileerrorMsg}} )</span>   </p>
    </div >
</div>



<div *ngIf="captcha"  class="form-group m-3">
    <ngx-recaptcha2
    class="recaptcha"
    #captchaElem
    [siteKey]="siteKey"
    (reset)="handleReset()"
    (expire)="handleExpire()"
    (load)="handleLoad()"
    (success)="handleSuccess($event)"
    [useGlobalDomain]="false"
    [size]="'normal'"
    [hl]="'en'"
    [theme]="'light'"
    [type]="'image'"
    formControlName="recaptcha">
    </ngx-recaptcha2>
    <div class="error-div" *ngIf="registerForm.controls['recaptcha'].errors?.['required'] && (registerForm.controls['recaptcha'].touched || isSubmited)" >please verify captcha</div>

</div>

<button  type="submit"  class="btn btn-primary m-2" >Submit</button>


</form>
</div>
</div>
